Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mro.util.experimentation
Class Result

    java.lang.Object
      mro.util.experimentation.Result

    public class Result

extends java.lang.Object

Class for storing info for each directory.

Field Summary
`protected java.lang.String` | `dirName`
`protected java.lang.String` | `measureAbbreviation`
`protected Measures` | `measures`
`protected PropertiesPool` | `pp`
`protected java.lang.String` | `roundString`

Constructor Summary
`Result(Result result, java.lang.String measureAbbreviation, java.lang.String roundString)` Shallow copy constructor.
`Result(java.lang.String dirName, Measures measures, PropertiesPool pp, java.lang.String measureAbbreviation, java.lang.String roundString)`

Method Summary
`void` | `add(Result res)` Not possible if the Result is relative! Does not keep the PropertiesPool as the Property:s of the different Result:s may be different.
`Result` | `relative(Result relResult, java.lang.String roundString)` Returns the relative result of this compared to the specified Result.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dirName

    protected java.lang.String dirName

### measures

    protected Measures measures

### pp

    protected PropertiesPool pp

### measureAbbreviation

    protected java.lang.String measureAbbreviation

### roundString

    protected java.lang.String roundString

Constructor Detail

### Result

    public Result(java.lang.String dirName,
                  Measures measures,
                  PropertiesPool pp,
                  java.lang.String measureAbbreviation,
                  java.lang.String roundString)

### Result

    public Result(Result result,
                  java.lang.String measureAbbreviation,
                  java.lang.String roundString)

  Shallow copy constructor.

Method Detail

### add

    public void add(Result res)
             throws MeasureNameConflictException

  Not possible if the Result is relative!
  Does not keep the PropertiesPool as the Property:s of the different Result:s may be different. Does not change the measureAbbrevation.

  Throws:
    `MeasureNameConflictException`

### relative

    public Result relative(Result relResult,
                           java.lang.String roundString)

  Returns the relative result of this compared to the specified Result.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD